Bug 1410166 (CVE-2016-9941) - CVE-2016-9941 libvncserver: Heap-based buffer overflow in rfbproto.c
Summary: CVE-2016-9941 libvncserver: Heap-based buffer overflow in rfbproto.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9941
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410180 1410178 1410179
Blocks: 1410176
TreeView+ depends on / blocked
 
Reported: 2017-01-04 16:13 UTC by Adam Mariš
Modified: 2019-09-29 14:03 UTC (History)
5 users (show)

Fixed In Version: libvncserver 0.9.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 06:02:21 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-04 16:13:25 UTC
Heap-based buffer overflow in rfbproto.c was found in LibVNCClient in LibVNCServer before 0.9.11 that allows remote servers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted FramebufferUpdate message containing a subrectangle outside of the client drawing area.

Upstream patch:

https://github.com/LibVNC/libvncserver/commit/5418e8007c248bf9668d22a8c1fa9528149b69f2

Upstream bug:

https://github.com/LibVNC/libvncserver/pull/137

Comment 1 Adam Mariš 2017-01-04 16:41:17 UTC
Created libvncserver tracking bugs for this issue:

Affects: fedora-all [bug 1410178]
Affects: epel-5 [bug 1410179]
Affects: epel-7 [bug 1410180]

Comment 3 Fedora Update System 2017-05-26 03:54:49 UTC
libvncserver-0.9.11-2.fc24.1 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.